Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1584855 - Update snapshot version of prometheus-comon
Summary: Update snapshot version of prometheus-comon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-prometheus-common
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1512702
TreeView+ depends on / blocked
 
Reported: 2018-05-31 19:47 UTC by Paul Gier
Modified: 2018-07-26 15:03 UTC (History)
4 users (show)

Fixed In Version: golang-github-prometheus-common-0-0.14.20180702git38c53a9.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 15:03:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Paul Gier 2018-05-31 19:47:38 UTC
golang-github-prometheus-common needs to be updated for various prometheus packages such as node_exporter.  And the spec file should be updated to current standards in rawhide.

Comment 1 Robert-André Mauchin 🐧 2018-05-31 22:41:57 UTC
I suggest you fork the repo and try to update it via a Pull Request.
You may need to package new dependencies (github.com/go-kit/kit and github.com/mwitkow/go-conntrack).

Comment 2 Fedora Update System 2018-07-03 12:50:57 UTC
golang-github-prometheus-common-0-0.13.20180626git49fee29.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-93cea435fb

Comment 3 Fedora Update System 2018-07-03 12:51:06 UTC
golang-github-prometheus-common-0-0.14.20180702git38c53a9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0bf79d6636

Comment 4 Fedora Update System 2018-07-04 18:20:16 UTC
golang-github-prometheus-common-0-0.14.20180702git38c53a9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0bf79d6636

Comment 5 Fedora Update System 2018-07-26 15:03:47 UTC
golang-github-prometheus-common-0-0.14.20180702git38c53a9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.